import { SimpleLocalIntegration } from '../../core/index.js';
import { VivotekConfigFlow } from './vivotek.classes.configflow.js';
import { createVivotekDiscoveryDescriptor } from './vivotek.discovery.js';
import type { IVivotekConfig } from './vivotek.types.js';
import { vivotekDomain, vivotekProfile } from './vivotek.types.js';

export class VivotekIntegration extends SimpleLocalIntegration<IVivotekConfig> {
  public readonly domain = vivotekDomain;
  public readonly discoveryDescriptor = createVivotekDiscoveryDescriptor();
  public readonly configFlow = new VivotekConfigFlow();

  constructor() {
    super(vivotekProfile);
  }
}

export class HomeAssistantVivotekIntegration extends VivotekIntegration {}
